/**************************************************************
**
**         C SWING  v 3.1   31-JUL-1989 09:07:27.07
**         =========================================
**
**         Author    :  S.J.Brown
**
**         Copyright :  Public Domain
**
**         File      :  SWING_DEFS.H
**
**         Language  :  VAXC
**
**         Compiler  :  VAX/VMS C v 2.4
**
**         VMS Ver.  :  5.1
**
***************************************************************
**
**         Change History
**         ==============
**
**         Date        Change                          Initials
**         ----------------------------------------------------
**         31-JUL-1989 Initial Version v3.0               SJB
**
**************************************************************/
 
globaldef int total_lines = 0;
globaldef int controlc_on = 0;
globaldef LINE *first_line_ptr;
globaldef char junk [2048];

globaldef char *joins[]={" ","`"," ",
                        "x",
                        " "," "," "," "," ",
                        "m"," ",
                        "t",
                        "q"," ",
                        "w"};

globaldef char *listing_joins[]=
                       {" ","*"," ",
                        "|",
                        " "," "," "," "," ",
                        "+"," ",
                        "+",
                        "-"," ",
                        "+"};

globaldef char *interline_joins[]=
                       {" "," "," ",
                        "|",
                        " "," "," "," "," ",
                        "|"," ",
                        "|",
                        " "," ",
                        " "};

globaldef int paste, keyboard, display1, displayb, displayt, displayf, display_dcl;
globaldef int current_line = 0;
globaldef int current_level = 0;
globaldef int current_top_line = 0;
globaldef LINE *curr_l_ptr;
globaldef int exit_error = 1;
globaldef int old_msk;
globaldef int channel1;
globaldef int condition;
/*
globaldef NODE *init_node = 0;
*/
globaldef char save_file_away[SPEC_SIZE+1], save_file_home[SPEC_SIZE+1];
globaldef char save_file_ss[SPEC_SIZE+1];
globaldef int original_width, original_color;
globaldef char help_spec[SPEC_SIZE+1];
globaldef int help_initialized = 0;
globaldef int message_set = 0;
globaldef int display_msg;
globaldef int broadcasts_rxed = 0;
globaldef int outstanding_broadcasts = 0;
globaldef int panicked_already = 0;
globaldef int delete_screen_initialized = 0;
globaldef int display_delete = 0;
globaldef int deleted_ok = 0;
globaldef int deleted_option = 0;
globaldef int not_deleted_ok = 0;
globaldef int total_examined = 0;
globaldef int originally_ok = -1;

globaldef DSTRUCTURE *fdp = 0;
globaldef DSTRUCTURE *cdp = 0;
globaldef char sys_disk[SPEC_SIZE+1];

globaldef int sl_mark_set;
globaldef char sl_mark_dir[SPEC_SIZE+1];

globaldef int br_mark_set;
globaldef char br_mark_dir[SPEC_SIZE+1];

globaldef int cb_mark_set;
globaldef char cb_mark_dir[SPEC_SIZE+1];

globaldef int rb_mark_set;
globaldef char rb_mark_dir[SPEC_SIZE+1];

globaldef int max_owner_width;
globaldef int started;

globaldef UOPT options_list[] = {
-1, 0,			"file manager initial display format (0-9) : ", "", "", "0",
-1, 0,			"printer queue: ",	"",	"",	"SYS$PRINT",
-1, 0,			"batch queue  : ",	"",	"",	"SYS$BATCH",
-1, 0,			"swing editor : ",	"",	"",	"",

SMG$K_TRM_PF1, 0,	"keypad PF1   : ",	"",	"",	"",
SMG$K_TRM_PF2, 0,	"keypad PF2   : ",	"",	"",	"",
SMG$K_TRM_PF3, 0,	"keypad PF3   : ",	"",	"",	"",
SMG$K_TRM_PF4, 0,	"keypad PF4   : ",	"",	"",	"",

SMG$K_TRM_KP9, 0,	"keypad 9     : ",	"",	"",	"",
SMG$K_TRM_KP8, 0,	"keypad 8     : ",	"",	"",	"",
SMG$K_TRM_KP7, 0,	"keypad 7     : ",	"",	"",	"",
SMG$K_TRM_KP6, 0,	"keypad 6     : ",	"",	"",	"",
SMG$K_TRM_KP5, 0,	"keypad 5     : ",	"",	"",	"",
SMG$K_TRM_KP4, 0,	"keypad 4     : ",	"",	"",	"",
SMG$K_TRM_KP3, 0,	"keypad 3     : ",	"",	"",	"",
SMG$K_TRM_KP2, 0,	"keypad 2     : ",	"",	"",	"",
SMG$K_TRM_KP1, 0,	"keypad 1     : ",	"",	"",	"",
SMG$K_TRM_KP0, 0,	"keypad 0     : ",	"",	"",	"",

SMG$K_TRM_MINUS, 0,	"keypad minus : ",	"",	"",	"",
SMG$K_TRM_COMMA, 0,	"keypad comma : ",	"",	"",	"",
SMG$K_TRM_ENTER, 0,	"keypad enter : ",	"",	"",	"",
SMG$K_TRM_PERIOD, 0,	"keypad period: ",	"",	"",	"",

SMG$K_TRM_F7,	0,	"func. key F7 : ",	"",	"",	"",
SMG$K_TRM_F8,	0,	"func. key F8 : ",	"",	"",	"",
SMG$K_TRM_F9,	0,	"func. key F9 : ",	"",	"",	"",
SMG$K_TRM_F10,	0,	"func. key F10: ",	"",	"",	"",
SMG$K_TRM_F11,	0,	"func. key F11: ",	"",	"",	"",
SMG$K_TRM_F12,	0,	"func. key F12: ",	"",	"",	"",
SMG$K_TRM_F13,	0,	"func. key F13: ",	"",	"",	"",
SMG$K_TRM_F14,	0,	"func. key F14: ",	"",	"",	"",
SMG$K_TRM_F15,	0,	"func. key F15: ",	"",	"",	"",
SMG$K_TRM_F16,	0,	"func. key F16: ",	"",	"",	"",
SMG$K_TRM_F17,	0,	"func. key F17: ",	"",	"",	"",
SMG$K_TRM_F18,	0,	"func. key F18: ",	"",	"",	"",
SMG$K_TRM_F19,	0,	"func. key F19: ",	"",	"",	"",
SMG$K_TRM_F20,	0,	"func. key F20: ",	"",	"",	"",
0,                      "",			"",	"",	"" };

globaldef int total_files = 0;
globaldef int curr_top_file = 0;
globaldef int curr_file_no = 0;
globaldef int files_selected = 0;
globaldef int cursor_line = -1;
globaldef FILER *first_file_ptr = 0;
globaldef FILER *curr_file_ptr = 0;

globaldef char print_queue[SCREEN_WIDTH+1];
globaldef char batch_queue[SCREEN_WIDTH+1];
globaldef char editor_defn[SCREEN_WIDTH+1];

globaldef char remote_node[SPEC_SIZE+1];
globaldef char remote_device[SPEC_SIZE+1];
globaldef char remote_directory[SPEC_SIZE+1];
globaldef char remote_filename[SPEC_SIZE+1];

globaldef int fm_type;

globaldef unsigned short mfd_did[] = {4, 4, 0};

globaldef int dir_channel;
globaldef int page_length;
globaldef int continual_update;

globaldef char this_user[41];
globaldef char start_dir[SPEC_SIZE+1];

/* this flag is set if SYS$SYSROOT has been replaced by SYS$SPECIFIC */
globaldef int sysroot_flag = 0;
